Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.windows.natives
Class IoctlImpl

    java.lang.Object
      com.sun.squawk.platform.windows.natives.IoctlImpl

All Implemented Interfaces:
  Library, Ioctl

    public class IoctlImpl

extends Object
implements Ioctl

Field Summary
`static int` | `FIOASYNC`
`static int` | `FIOCLEX`
`static int` | `FIODTYPE`
`static int` | `FIOGETOWN`
`static int` | `FIONBIO`
`static int` | `FIONCLEX`
`static int` | `FIONREAD`
`static int` | `FIOSETOWN`
`static int` | `IOC_DIRMASK`
`static int` | `IOC_IN`
`static int` | `IOC_INOUT`
`static int` | `IOC_OUT`
`static int` | `IOC_VOID`
`static int` | `IOCPARM_MASK` WARNING: This is different on different systems SOLARIS: 0xFF MAC OS X: 0x1FFF LINUX, not used???
`static int` | `IOCPARM_MAX`

Fields inherited from interface com.sun.squawk.platform.windows.natives.Ioctl
`INSTANCE`

Constructor Summary
`IoctlImpl()`

Method Summary
`int` | `initConstInt(int index)`
`int` | `ioctl(int arg0, int arg1, int arg2)` Perform IO control operation `request` on device `fd`.
`int` | `ioctl(int arg0, int arg1, int arg2, int arg3)` Perorm IO control operation `request` on device `fd`.
`int` | `ioctl(int arg0, int arg1, int arg2, int arg3, int arg4)` Perorm IO control operation `request` on device `fd`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IOCPARM_MASK

    public static final int IOCPARM_MASK

  WARNING: This is different on different systems SOLARIS: 0xFF MAC OS X: 0x1FFF LINUX, not used???

  See Also:
    Constant Field Values

### IOCPARM_MAX

    public static final int IOCPARM_MAX

See Also:
  Constant Field Values

### IOC_VOID

    public static final int IOC_VOID

See Also:
  Constant Field Values

### IOC_OUT

    public static final int IOC_OUT

See Also:
  Constant Field Values

### IOC_IN

    public static final int IOC_IN

See Also:
  Constant Field Values

### IOC_INOUT

    public static final int IOC_INOUT

See Also:
  Constant Field Values

### IOC_DIRMASK

    public static final int IOC_DIRMASK

See Also:
  Constant Field Values

### FIOCLEX

    public static final int FIOCLEX

### FIONCLEX

    public static final int FIONCLEX

### FIONREAD

    public static final int FIONREAD

### FIONBIO

    public static final int FIONBIO

### FIOASYNC

    public static final int FIOASYNC

### FIOSETOWN

    public static final int FIOSETOWN

### FIOGETOWN

    public static final int FIOGETOWN

### FIODTYPE

    public static final int FIODTYPE

Constructor Detail

### IoctlImpl

    public IoctlImpl()

Method Detail

### initConstInt

    public int initConstInt(int index)

  Specified by:
    `initConstInt` in interface `Library`

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     int arg2,
                     int arg3,
                     int arg4)

  Description copied from interface: `Ioctl`
  Perorm IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
  Returns:
    -1 on error

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     int arg2,
                     int arg3)

  Description copied from interface: `Ioctl`
  Perorm IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
  Returns:
    -1 on error

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     int arg2)

  Description copied from interface: `Ioctl`
  Perform IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
  Returns:
    -1 on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"